Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.Open Method
DatabaseEnvironment Class See Also Send Feedback

Instantiate a new DatabaseEnvironment object and open the Berkeley DB environment represented by home.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public static DatabaseEnvironment Open(
    	string home,
    	DatabaseEnvironmentConfig cfg
    )

Visual Basic (Declaration)
    Public Shared Function Open ( _
    	home As String, _
    	cfg As DatabaseEnvironmentConfig _
    ) As DatabaseEnvironment

Visual C++
    public:
    static DatabaseEnvironment^ Open(
    	String^ home,
    	DatabaseEnvironmentConfig^ cfg
    )

#### Parameters

home
  Type: System..::.String
  The database environment's home directory. For more information on home, and filename resolution in general, see Berkeley DB File Naming in the Programmer's Reference Guide.

cfg
  Type: BerkeleyDB..::.DatabaseEnvironmentConfig
  The environment's configuration

#### Return Value

A new, open DatabaseEnvironment object

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace